Bug 124466 - Pop up 'start menu' on C-ESC
Summary: Pop up 'start menu' on C-ESC
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-26 20:10 UTC by Ed Avis
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 05:10:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed Avis 2004-05-26 20:10:28 UTC
(I have filed this bug against gnome-panel because it is a request for
an enhancement to the panel, but the package to be changed might be
another.)

In Microsoft Windows one can press C-ESC (control-escape) to pop up
the 'start menu'.  In the default Fedora installation there is a
similar 'start menu' by clicking the icon at the left of the panel,
but it does not appear on C-ESC.

Making the menu appear on that keypress would help some users
migrating from Windows (not all; some may be used to pressing the
'Windows' key instead) and it would be a useful shortcut anyway.  I
don't think the C-ESC key sequence is used for anything else in the
default Fedora desktop.

Comment 1 petrosyan 2004-06-04 02:49:40 UTC
currently it is bound to Alt-F1, but I agree that it would be better
to bind it to Ctrl-Esc


Comment 2 Mark McLoughlin 2004-08-06 18:36:15 UTC
I consistently change it to Ctrl-Esc myself too ...

Moving to metacity - the default is set there

Comment 3 Havoc Pennington 2004-08-09 03:06:57 UTC
Needs to go upstream and get run by Calum

Comment 4 Colin Charles 2004-08-10 12:49:43 UTC
Talking to Calum, they do this for JDS too, but they've never
upstreamed it! But he mentions that he'll be happy for it to be
upstream'ed (as its also a patch less for them to maintain)

<calum> byte: ideally the Windows key would also do that (that's the
one I always go for, not C-Esc), but our patch doesn't do that...
<calum> byte: I guess that would mean being able to assing two
shortcuts to the same function though, which I guess metacity can't
currently do (think I opened a bugzilla bug about that a long time
back...)

So this RFE can go ahead, quite possibly

Comment 5 Havoc Pennington 2004-08-10 15:54:08 UTC
Calum is right that there can only be one shortcut, so we'd have to
break the existing one.

Comment 6 Havoc Pennington 2004-11-10 05:10:42 UTC
Moving to http://bugzilla.gnome.org/show_bug.cgi?id=157824


Note You need to log in before you can comment on or make changes to this bug.